# QVM: Quaternions, Vectors, Matrices

### operator*(mat,vec)

#include <boost/qvm/vec_mat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_mat<A>::value && is_vec<B>::value &&
            //  mat_traits<A>::cols==vec_traits<B>::dim
            template <class A,class B>
            typename deduce_vec2<A,B,mat_traits<A>::rows>::type
            operator*( A const & a, B const & b );
        }
    }

#### Returns:

The result of multiplying the matrix a and the vector b, where b is interpreted as a matrix-column. The resulting matrix-row is returned as a vector type.

See also: boost/qvm/vec_mat_operations.hpp | operator*(quat,vec) | transform_point | transform_vector